//##############################################################################
//#																			   #
//# fichier	: SDL text.h								version : V1.0		   #
//# projet	: SDL text									date :	26/11/2005	   #
//# par		: aerith														   #
//#																			   #
//# affichage de text dans SDL												   #
//#																			   #
//##############################################################################

#include	<string.h>
#include	<SDL\SDL.h>
#include	<stdio.h>
#include	<stdlib.h>

#ifdef WIN32
	#include	<windows.h>
	#include 	<time.h>
#else
	#include 	<unistd.h>
	#include 	<sys/types.h>
	#include 	<arpa/inet.h>
	#include 	<sys/time.h>
#endif

#define		TEXT_WIDTH	6
#define		TEXT_HEIGHT	9

static char TableCar[256][TEXT_HEIGHT][TEXT_WIDTH + 1];

typedef struct _rect
{
	int		x;
	int		y;
	int		l;
	int		h;
} rect;

typedef struct _color
{
	int		r;
	int		g;
	int		b;
} color;

void	SDLTextInit();
void	SDLTextPoint(SDL_Surface *pScreen, int x, int y, color cColor);
void	SDLTextCarac(SDL_Surface *pSpcreen, char cCar, int x, int y, float fSize, color cTop, color cBack);
void	SDLText(SDL_Surface *pSpcreen, char *pText, rect rZone, float fSize, color cTop, color cBack);

